> For the complete documentation index, see [llms.txt](https://docs.apono.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apono.io/metadata-for-integration-config/integration-metadata/zscaler-zpa.md).

# Zscaler ZPA

Zscaler Private Access (ZPA) provides zero trust network access to internal applications. Apono discovers ZPA access policy rules and grants temporary, user scoped network access to them

## Example Usage

***

{% tabs %}
{% tab title="Terraform" %}
{% code title="zscaler-zpa-integration.tf" %}

```tf
resource "apono_integration" "zscaler-zpa-integration" {
  name                     = "Zscaler ZPA"
  type                     = "zscaler-zpa"
  connector_id             = "apono-connector-id"
  connected_resource_types = ["zscaler-zpa-access-policy-rule"]
  metadata = {
    customer_id = "<Customer ID>"
    policy_attribute_protocol = "<Policy Attribute Protocol>"
    policy_email_attribute = "<Policy Email Attribute>"
    idp_name = "<IdP Name>"
  }
  aws_secret = {
    region    = "aws_region_template_value"
    secret_id = "aws_secret_id_template_value"
  }
}
```

{% endcode %}
{% endtab %}

{% tab title="Terraform V2" %}
{% code title="zscaler-zpa-integration.tf" %}

```tf
resource "apono_resource_integration" "zscaler-zpa-integration" {
  name                     = "Zscaler ZPA"
  type                     = "zscaler-zpa"
  connector_id             = "apono-connector-id"
  connected_resource_types = ["zscaler-zpa-access-policy-rule"]
  integration_config = {
    customer_id = "<Customer ID>"
    policy_attribute_protocol = "<Policy Attribute Protocol>"
    policy_email_attribute = "<Policy Email Attribute>"
    idp_name = "<IdP Name>"
  }
  secret_store_config = {
    aws = {
      region    = "aws_region_template_value"
      secret_id = "aws_secret_id_template_value"
    }
}
```

{% endcode %}
{% endtab %}

{% tab title="Public API" %}
{% code title="zscaler-zpa-integration.json" %}

```json
{
    "zscaler-zpa-integration": {
        "name": "Zscaler ZPA",
        "type": "zscaler-zpa",
        "connector_id": "apono-connector-id",
        "connected_resource_types": [
            "zscaler-zpa-access-policy-rule"
        ],
        "integration_config": {
            "customer_id": "<Customer ID>",
            "policy_attribute_protocol": "<Policy Attribute Protocol>",
            "policy_email_attribute": "<Policy Email Attribute>",
            "idp_name": "<IdP Name>",
        },
	"secret_store_config": {
    	    "region": "aws_region_template_value",
    	    "secret_id": "aws_secret_id_template_value"
  	    }
    }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Schema

***

* `type` zscaler-zpa
* `connected_resource_types` List of resource types to sync.

<details>

<summary>Available resource types you can use</summary>

* zscaler-zpa-access-policy-rule

</details>

### Integration Config

***

* `customer_id` (Required | String) Customer ID
* `policy_attribute_protocol` (Optional | String) Policy Attribute Protocol
  * Default value: `scim`
  * Possible values: scim, saml
* `policy_email_attribute` (Required | String) Policy Email Attribute
* `idp_name` (Required | String) IdP Name


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apono.io/metadata-for-integration-config/integration-metadata/zscaler-zpa.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
